Package org.apache.commons.dbutils

# Class AsyncQueryRunner.BatchCallableStatement

java.lang.Object
org.apache.commons.dbutils.AsyncQueryRunner.BatchCallableStatement

All Implemented Interfaces:
  `Callable<int[]>`

Enclosing class:
  AsyncQueryRunner

@Deprecated protected class AsyncQueryRunner.BatchCallableStatement extends Object implements Callable<int[]>
Deprecated.
No longer used by this class. Will be removed in a future version. Class that encapsulates the continuation for batch calls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchCallableStatement(String sql, Object[][] params, Connection conn, boolean closeConn, PreparedStatement ps)`
  Deprecated.
  Creates a new BatchCallableStatement instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `call()`
  Deprecated.
  The actual call to executeBatch.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BatchCallableStatement

    public BatchCallableStatement(String sql, Object[][] params, Connection conn, boolean closeConn, PreparedStatement ps)
    Deprecated.
    Creates a new BatchCallableStatement instance.
    Parameters:
      `sql` - The SQL statement to execute.
      `params` - An array of query replacement parameters. Each row in this array is one set of batch replacement values.
      `conn` - The connection to use for the batch call.
      `closeConn` - True if the connection should be closed, false otherwise.
      `ps` - The `PreparedStatement` to be executed.

- ## Method Details

  - ### call

    public int[] call() throws SQLException
    Deprecated.
    The actual call to executeBatch.
    Specified by:
      `call` in interface `Callable<int[]>`
    Returns:
      an array of update counts containing one element for each command in the batch.
    Throws:
      `SQLException` - if a database access error occurs or one of the commands sent to the database fails.
    See Also:
      - `Statement.executeBatch()`